2017-08-20 19:59 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000437mercuryBugpublic2017-08-06 02:50
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000437: abort on empty nested sub-module
DescriptionThe compiler throws an exception if a nested sub-module is empty.

% mmc parent.m
Uncaught Mercury exception:
Software Error: map.det_remove: key not found
    Key Type: mdbcomp.sym_name.sym_name
    Key Value: qualified(unqualified("parent"), "sub")
    Value Type: parse_tree.split_parse_tree_src.split_module_entry
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000956

zs (developer)

Fix committed 5 aug 2017.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-05 12:35 wangp New Issue
2017-08-05 12:35 wangp File Added: parent.m
2017-08-05 20:55 zs Assigned To => zs
2017-08-05 20:55 zs Status new => assigned
2017-08-06 02:50 zs Status assigned => resolved
2017-08-06 02:50 zs Resolution open => fixed
2017-08-06 02:50 zs Note Added: 0000956
+Issue History